using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Products_Above_Average_PriceAccess  : Daolite.BusinessAccess
	{

		public  Products_Above_Average_PriceAccess() : base("Products_Above_Average_Price", NwindConfiger.GetConfiger())
		{
		}


		public Products_Above_Average_Price[] Query()
		{
			return base.Query<Products_Above_Average_Price>();
		}


		public Products_Above_Average_Price[] QueryRelated()
		{
			return base.QueryRelated<Products_Above_Average_Price>();
		}


		public Products_Above_Average_Price QueryOne(bool isRelated)
		{
			return base.QueryOne<Products_Above_Average_Price>(new Daolite.DataStruct.KeyPairs()
			, isRelated);
		}


	}
}
